QGIS Application - Feature request #4160
Enhancements to multiband raster styling to make it more user friendly / consistent
2011-08-11 01:39 AM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Pull Request or Patch supplied: Resolution: end of life
Easy fix?: No Copied to github as #: 14137
Description

1. There are radio buttons for two band scaling options: "Custom min/max values" and "use standard deviation".

After a raster is first added (and also after using the "stretch histogram to full dataset" button in the raster toolbar when custom min/max
values were previously being used), neither option is selected, and all the sub-options (for example "Red min") are grayed out. After a
user applies one of the scaling options, there is no obvious way to revert to no scaling (and the grayed-out sub-options).

It would be good to have a third option, "no scaling".

2. Using three-band color rendering, if you enable "use standard deviation" and specify a number and apply, then switch to custom
min/max values and apply, then switch back to "use standard deviation", it remembers the previous value.

If you do the same thing with single-band gray rendering, when you switch back to "use standard deviation" it does not remember the
value, but stays set to 0. It would be good if it did remember the value.

Similarly, when using single band gray rendering with a standard deviation, if you use the "local histogram stretch" button in the raster
toolbar, then open the layer properties and switch to using standard deviation, it has forgotten the value.

3. When rendering as "three band colour", if you use the "local histogram stretch" button on the raster toolbar, then open the layer
properties, the "Custom min/max values" option is checked, but all the sub-options are blank, so if you click "OK" or "Apply" then the style
changes. This is particularly bad because you might have opened the layer properties and not even looked at the "Style" tab.

3. (minor) When rendering as "three band colour”, the largest part of the style dialogue is labelled "RGB mode band selection and
scaling". When rendering as "single band gray", it is labelled "Single band properties”, but it contains the same options (plus "color map").

Why is the label so different?

All these issues are present in trunk and | think also in 1.7

History

#1-2011-08-11 01:52 AM - Alister Hood

Oops - the last point should have been a 4.
And number 3 also applies if you use the "stretch using current extent" option in the right-click menu in the layer control.

Also:

5. It would be good to add a "stretch histogram to full dataset" option to the right-click menu in the layer control, to be consistent with the raster toolbar, and
allow people quick access to the feature when the raster toolbar is turned off.

6. The "stretch using current extent" right-click menu appears to do the same thing as the "local histogram stretch" button. | think they should therefore

have the same name.

7. The icons for the toolbar buttons could also be used in the right-click menu.
#2 - 2011-08-17 05:40 AM - Alister Hood

Alister Hood wrote:

Oops - the last point should have been a 4.

And number 3 also applies if you use the "stretch using current extent" option in the right-click menu in the layer control.

Also:

5. It would be good to add a "stretch histogram to full dataset” option to the right-click menu in the layer control, to be consistent with the raster
toolbar, and allow people quick access to the feature when the raster toolbar is turned off.

6. The "stretch using current extent" right-click menu appears to do the same thing as the "local histogram stretch" toolbar button. | think they should
therefore have the same name.

7. The icons for the toolbar buttons could also be used in the right-click menu.

#3 - 2011-08-18 03:24 AM - Tim Sutton
- Assignee set to Tim Sutton

#4 - 2011-10-04 09:46 PM - Alister Hood

Something else, although it would probably be covered by your gui redesign:

Everything in the colormap tab is grayed out when not using a colour map. It would more consistent with other parts of the gui to put the colour map in a
separate sub-dialogue. If it is kept as a tab (and it isn't hidden when not applicable), it might be good if it explained why everything is grayed out.

#5 - 2011-10-12 01:24 AM - alobo -

Also,
1. when the user selects standard deviation, the corresponding min-max values
should be displayed in the boxes. It is often the case that the user selects min-max values based

on sd as an initial guess, but then switches to Custom to fine tune the min-max values.

2. median and mad instead of mean and sd should be an option.

3. interactive setting of min-max on the histogram should be provided also

Tim: is there a document with your plans for the new gui for raster styling? Maybe we can help with suggestions.
Agus

#6 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#7 - 2012-04-16 06:29 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#8 - 2012-09-04 11:58 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#9 - 2014-06-28 07:40 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#10 - 2017-05-01 01:10 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#11 - 2018-02-15 07:07 AM - Alister Hood
- Description updated

A lot of this has been fixed. | think these are the items that are still relevant:

Alister Hood wrote:

3. When rendering as "three band colour”, if you use the "local histogram stretch" button on the raster toolbar, then open the layer properties, the
"Custom min/max values" option is checked, but all the sub-options are blank, so if you click "OK" or "Apply" then the style changes. This is
particularly bad because you might have opened the layer properties and not even looked at the "Style" tab. THIS IS THE ONLY REMAINING ITEM
THAT IS A BUG RATHER THAN A FEATURE REQUEST

5. It would be good to add a "stretch histogram to full dataset" option to the right-click menu in the layer control, to be consistent with the raster
toolbar, and allow people quick access to the feature when the raster toolbar is turned off.

6. The "stretch using current extent" right-click menu appears to do the same thing as the "local histogram stretch"” button. | think they should
therefore have the same name.

7. The icons for the toolbar buttons could also be used in the right-click menu.

alobo - wrote:

2. median and mad instead of mean and sd should be an option.
3. interactive setting of min-max on the histogram should be provided also

#12 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

#13 - 2019-03-10 03:57 PM - Alister Hood

- Assignee deleted (Tim Sutton)

- Tracker changed from Bug report to Feature request

- Subject changed from make raster styling less confusing / more user friendly / more consistent (several small bugs) to Enhancements to multiband
raster styling to make it more user friendly / consistent

- Category changed from GUI to Rasters

- Status changed from Closed to Reopened
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Everything noted in my list comment is still valid except | think the first point 3 no longer applies.

#14 - 2019-03-10 03:58 PM - Alister Hood
- Status changed from Reopened to Closed

Sorry, it probably would be better to file a new ticket in this case.
